Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.parseTreeConstruction
Class AParParsetreeConstructor

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
          org.eclipse.amp.amf.parameters.parseTreeConstruction.AParParsetreeConstructor

All Implemented Interfaces:
  org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor

    public class AParParsetreeConstructor

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor

Nested Class Summary
`protected class` | `AParParsetreeConstructor.BooleanValue_ValueAssignment` begin Rule BooleanValue **************** BooleanValue: value=BOOLEAN;
`protected class` | `AParParsetreeConstructor.Import_ImportURIAssignment` begin Rule Import **************** Import: importURI=STRING;
`protected class` | `AParParsetreeConstructor.Incorporates_ImportURIAssignment` begin Rule Incorporates **************** Incorporates: importURI=STRING;
`protected class` | `AParParsetreeConstructor.IntValue_ValueAssignment` begin Rule IntValue **************** IntValue: value=INTEGER;
`protected class` | `AParParsetreeConstructor.Model_Group` begin Rule Model **************** Model: name=STRING? "model" model=Import ("incorporates" incorporates+=Incorporates)* parameters+=Parameter*;
`protected class` | `AParParsetreeConstructor.Model_Group_3`
`protected class` | `AParParsetreeConstructor.Model_IncorporatesAssignment_3_1`
`protected class` | `AParParsetreeConstructor.Model_IncorporatesKeyword_3_0`
`protected class` | `AParParsetreeConstructor.Model_ModelAssignment_2`
`protected class` | `AParParsetreeConstructor.Model_ModelKeyword_1`
`protected class` | `AParParsetreeConstructor.Model_NameAssignment_0`
`protected class` | `AParParsetreeConstructor.Model_ParametersAssignment_4`
`protected class` | `AParParsetreeConstructor.Parameter_Alternatives` begin Rule Parameter **************** Parameter: SingleParameter | SweepParameter | SweepLink;
`protected class` | `AParParsetreeConstructor.Parameter_SingleParameterParserRuleCall_0`
`protected class` | `AParParsetreeConstructor.Parameter_SweepLinkParserRuleCall_2`
`protected class` | `AParParsetreeConstructor.Parameter_SweepParameterParserRuleCall_1`
`protected class` | `AParParsetreeConstructor.RealValue_ValueAssignment` begin Rule RealValue **************** RealValue: value=REAL;
`protected class` | `AParParsetreeConstructor.SingleParameter_AttributeAssignment_0`
`protected class` | `AParParsetreeConstructor.SingleParameter_EqualsSignKeyword_1`
`protected class` | `AParParsetreeConstructor.SingleParameter_Group` begin Rule SingleParameter **************** SingleParameter: attribute=[SAttribute] "=" value=Value;
`protected class` | `AParParsetreeConstructor.SingleParameter_ValueAssignment_2`
`protected class` | `AParParsetreeConstructor.StringValue_ValueAssignment` begin Rule StringValue **************** StringValue: value=STRING;
`protected class` | `AParParsetreeConstructor.SweepLink_Group` begin Rule SweepLink **************** SweepLink: {SweepLink} "[" parameters+=Parameter* "]";
`protected class` | `AParParsetreeConstructor.SweepLink_LeftSquareBracketKeyword_1`
`protected class` | `AParParsetreeConstructor.SweepLink_ParametersAssignment_2`
`protected class` | `AParParsetreeConstructor.SweepLink_RightSquareBracketKeyword_3`
`protected class` | `AParParsetreeConstructor.SweepLink_SweepLinkAction_0`
`protected class` | `AParParsetreeConstructor.SweepParameter_AttributeAssignment_0`
`protected class` | `AParParsetreeConstructor.SweepParameter_CommaKeyword_3`
`protected class` | `AParParsetreeConstructor.SweepParameter_CommaKeyword_5`
`protected class` | `AParParsetreeConstructor.SweepParameter_EndValueAssignment_4`
`protected class` | `AParParsetreeConstructor.SweepParameter_Group` begin Rule SweepParameter **************** SweepParameter: attribute=[SAttribute] "[" startValue=Value "," endValue=Value "," increment=Value "]";
`protected class` | `AParParsetreeConstructor.SweepParameter_IncrementAssignment_6`
`protected class` | `AParParsetreeConstructor.SweepParameter_LeftSquareBracketKeyword_1`
`protected class` | `AParParsetreeConstructor.SweepParameter_RightSquareBracketKeyword_7`
`protected class` | `AParParsetreeConstructor.SweepParameter_StartValueAssignment_2`
`protected class` | `AParParsetreeConstructor.ThisRootNode`
`protected class` | `AParParsetreeConstructor.Value_Alternatives` begin Rule Value **************** Value: IntValue | StringValue | RealValue | BooleanValue;
`protected class` | `AParParsetreeConstructor.Value_BooleanValueParserRuleCall_3`
`protected class` | `AParParsetreeConstructor.Value_IntValueParserRuleCall_0`
`protected class` | `AParParsetreeConstructor.Value_RealValueParserRuleCall_2`
`protected class` | `AParParsetreeConstructor.Value_StringValueParserRuleCall_1`

Nested classes/interfaces inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.ActionToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AlternativesToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentType, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.CommentToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.GroupToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.KeywordToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RootToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RuleCallToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.UnassignedTextToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.UnorderedGroupToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.WsMergerStream`

Nested classes/interfaces inherited from interface org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor
`org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor.TreeConstructionDiagnostic, org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor.TreeConstructionReport`

Field Summary

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`commentAssociater, crossRefSerializer, enumLitSerializer, hiddenTokenHelper, keywordSerializer, tokenUtil, treeConstructionReportProvider, tvService, valueSerializer`

Constructor Summary
`AParParsetreeConstructor()`

Method Summary
`protected org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` | `getRootToken(org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`assignComment, assignNodesByMatching, assignTokenByMatcher, assignTokenByMatcher, assignTokenDirect, collectRootsAndEObjects, containsNodeOrAnyParent, createEObjectConsumer, createReport, debug, dump, dumpNode, initStream, serialize, serialize, serializeSubtree, write, writeComments`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParParsetreeConstructor

    public AParParsetreeConstructor()

Method Detail

### getRootToken

    protected org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken getRootToken(org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Specified by:
    `getRootToken` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD